import numpy

datapath = '../data/'
figurepath = '../figures/'

dt      = 0.1      # the resolution in ms
simtime = 100000.0 # Simulation time in ms

N_rec     = 1000 # number of neurons from which to record cross-correlations
N_rec_acf = 100 # number of neurons from which to record autocorrelations
N_rec_sd  = 0 # number of neurons from which to record spikes

# Initialize the parameters of the integrate and fire neuron
tauMem = 20.0
tauRef = 2.0      # ms
tauSyn = 2.0 # ms time constant postsynaptic current
CMem = 1.0
theta  = 15.0
V_r = 0.0

mu = 15.0   # mV
sigma = 10.0 # mV
nu0 = 23.6   # Hz rate in network

J_ext = 0.1 # mV syn amplitude of external purely excitatory and balanced drive

# neuron model
nrn_model = "iaf_psc_exp_ps"

# correlation detector
tbin = dt
tmax = 100.0



